Author Topic: WinCe Orbiter on Cheap WinCe GPS device  (Read 962 times)

cyf4746

  • Veteran
  • ***
  • Posts: 63
    • View Profile
WinCe Orbiter on Cheap WinCe GPS device
« on: April 16, 2009, 04:53:26 am »
Is it possible to have WinCE Mobile Orbiter install in a WinCE Gps navigator? These GPS devices is very cheap in China. It will be great if the mobile orbiter can install on it.

tschak909

  • LinuxMCE God
  • ****
  • Posts: 5495
  • DOES work for LinuxMCE.
    • View Profile
Re: WinCe Orbiter on Cheap WinCe GPS device
« Reply #1 on: April 16, 2009, 05:39:44 am »
Orbiter can install on any WinCE device that runs Windows mobile 2003 to 2005, that has working WiFi.

If you don't meet those requirements, Orbiter will not work. Period.

-Thom

Pnuts

  • Veteran
  • ***
  • Posts: 130
    • View Profile
Re: WinCe Orbiter on Cheap WinCe GPS device
« Reply #2 on: April 16, 2009, 05:19:37 pm »
wm2005 support is hit and miss with a lot more miss. wm2003 seems fine though. If you end up having wm2005, search around the forums a bit, there are a few different things people tried getting it to work. I was never able to get it working on a Dell Axim x51v.

matrex

  • Veteran
  • ***
  • Posts: 67
  • 16 Years Linux exp.
    • View Profile
Re: WinCe Orbiter on Cheap WinCe GPS device
« Reply #3 on: April 16, 2009, 07:27:46 pm »
May not work, Some of those GPS units software is embedded into the hardware. They will only recognize the map updates. It would take some crazy hacking to do it, which is probably not worth the effort. There have been some particular units that have been hacked to run other software.
Hybrid core Gigabyte GA-EP45-UD3R m/b 2.8Ghz 2 gig ram. HVR1600 on the core. 2 Orbiter on Android for control 1 phone the other tablet. Running 10.04

cyf4746

  • Veteran
  • ***
  • Posts: 63
    • View Profile
Re: WinCe Orbiter on Cheap WinCe GPS device
« Reply #4 on: April 18, 2009, 10:33:16 am »
Thom,
My device is WINCE 5.0 UMPC under Arm Platform. Please note that I am not using WIN Mobile 5.0.
I can install it. But, fail to run. The error message is: "Cannot find 'Orbiter_CeNet4_Xscale' (or one of its components). Make sure the path and filename are correct and that all the required libraries are available"
I tried both orbiter cab files. All fails. Please help.
Is these CE orbiter only for WinCE 4.0?

tschak909

  • LinuxMCE God
  • ****
  • Posts: 5495
  • DOES work for LinuxMCE.
    • View Profile
Re: WinCe Orbiter on Cheap WinCe GPS device
« Reply #5 on: April 18, 2009, 07:16:19 pm »
Correct. You can get the source code, and build it for a newer SDK.

-Thom

cyf4746

  • Veteran
  • ***
  • Posts: 63
    • View Profile
Re: WinCe Orbiter on Cheap WinCe GPS device
« Reply #6 on: April 18, 2009, 07:33:43 pm »
Too bad... I don't have the knowledge to built the new orbiter sdk for Window CE 5.0 and Window CE 6.0... I wish I can... anyone can help in?